Bug 1799834 - openkim-models: FTBFS in Fedora rawhide/f32
Summary: openkim-models: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openkim-models
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Junghans
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 19:06 UTC by Fedora Release Engineering
Modified: 2020-03-01 22:18 UTC (History)
2 users (show)

Fixed In Version: openkim-models-2019.07.25-1.fc30 openkim-models-2019.07.25-1.fc31 openkim-models-2019.07.25-1.el7 openkim-models-2019.07.25-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-22 01:16:25 UTC
Type: ---


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2020-02-06 19:06 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-02-06 19:06 UTC, Fedora Release Engineering
no flags Details
state.log (1.02 KB, text/plain)
2020-02-06 19:06 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 19:06:44 UTC
openkim-models failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41320119


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix openkim-models at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
openkim-models will be orphaned. Before branching of Fedora 33,
openkim-models will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 19:06:48 UTC
Created attachment 1660204 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2020-02-06 19:06:49 UTC
Created attachment 1660205 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 19:06:51 UTC
Created attachment 1660206 [details]
state.log

Comment 4 Christoph Junghans 2020-02-06 19:14:19 UTC
Error is:
RPM build errors:
    Directory not found: /builddir/build/BUILDROOT/openkim-models-2019.03.31-4.fc32.x86_64/usr/lib64/kim-api/models
Child return code was: 1

The models seem to be stored in kim-api/portable-models now, not sure why that changed.

Comment 5 Ryan S. Elliott 2020-02-07 21:29:02 UTC
Ah, yeah.  This was changed with the bug-fix release of the kim-api package.  (Bad practice. sorry; will try to avoid in the future.)

Comment 6 Ben Cotton 2020-02-11 16:36:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 7 Christoph Junghans 2020-02-12 17:18:30 UTC
(In reply to Ryan S. Elliott from comment #5)
> Ah, yeah.  This was changed with the bug-fix release of the kim-api package.
> (Bad practice. sorry; will try to avoid in the future.)

Hmm, why did you it build in past? (see https://koschei.fedoraproject.org/package/openkim-models)

Anyhow, can you correct the spec file?

Comment 8 Fedora Update System 2020-02-13 20:02:32 UTC
FEDORA-2020-ade05ba057 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ade05ba057

Comment 9 Fedora Update System 2020-02-13 20:02:32 UTC
FEDORA-2020-0429b67550 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0429b67550

Comment 10 Fedora Update System 2020-02-13 20:02:33 UTC
FEDORA-EPEL-2020-f0736bae2f has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f0736bae2f

Comment 11 Fedora Update System 2020-02-14 01:27:30 UTC
openkim-models-2019.07.25-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0429b67550

Comment 12 Fedora Update System 2020-02-14 02:11:51 UTC
openkim-models-2019.07.25-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ade05ba057

Comment 13 Fedora Update System 2020-02-14 02:20:13 UTC
openkim-models-2019.07.25-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f0736bae2f

Comment 14 Fedora Update System 2020-02-16 02:30:53 UTC
openkim-models-2019.07.25-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-2e601a90f5

Comment 15 Fedora Update System 2020-02-22 01:16:25 UTC
openkim-models-2019.07.25-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-02-22 01:33:53 UTC
openkim-models-2019.07.25-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-02-29 03:33:48 UTC
openkim-models-2019.07.25-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2020-03-01 22:18:49 UTC
openkim-models-2019.07.25-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.